%define	major 0
%define apiver 1.2
%define	libname %mklibname %{name} %{apiver} %{major}
%define develname %mklibname %{name} -d
%define version 1.2.12

Summary:	Simple DirectMedia Layer - mixer
Name:		SDL_mixer
Version:	%{version}
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.libsdl.org/projects/SDL_mixer/
Source0:	http://www.libsdl.org/projects/SDL_mixer/release/%{name}-%{version}.tar.gz
Patch0:         SDL_mixer-1.2.11-mga-uninit-var-fix.patch
BuildRequires:	SDL-devel >= 1.2.10
BuildRequires:	libmikmod-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libz-devel
BuildRequires:	libflac-devel

%description
SDL_mixer is a sample multi-channel audio mixer library. It supports any
number of simultaneously playing channels of 16 bit stereo audio, plus a
single channel of music, mixed by the popular MikMod MOD, Timidity MIDI
and SMPEG MP3 libraries.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}SDL_mixer1.2_0 < 1.2.10
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	SDL-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{apiver}-devel = %{version}-%{release}
Obsoletes:	%{_lib}SDL_mixer1.2-devel < 1.2.10

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{name}-player
Summary:	Players using %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}SDL_mixer-test < 1.2.10
Requires:	%{libname} = %{version}-%{release}

%description -n %{name}-player
This package contains binary to test the associated library.

%prep
%setup -q
#patch0 -p1 

%build
%configure2_5x	--disable-static --enable-music-mod \
		--enable-music-native-midi \
		--disable-music-ogg-shared \
		--disable-music-flac-shared \
		--disable-music-mod-shared \
		--disable-music-mp3-shared
%make

iconv -f ISO-8859-1 -t UTF-8 CHANGES > CHANGES.tmp
touch -r CHANGES CHANGES.tmp
mv CHANGES.tmp CHANGES

%install
rm -rf %{buildroot}
%makeinstall_std install-bin

rm -f %buildroot%_libdir/*.la

%clean
rm -rf %{buildroot}

%files -n %{name}-player
%defattr(-, root, root)
%doc README
%{_bindir}/playwave
%{_bindir}/playmus

%files -n %{libname}
%defattr(-,root,root)
%doc timidity/FAQ timidity/README
%{_libdir}/lib*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README CHANGES
%{_libdir}/lib*.so
%{_includedir}/SDL/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog

* Mon Jan 16 2012 fwang <fwang> 1.2.12-1.mga2
+ Revision: 196854
- new version 1.2.12

* Mon Sep 12 2011 fwang <fwang> 1.2.11-9.mga2
+ Revision: 142655
- clean up spec

* Mon Jul 18 2011 fwang <fwang> 1.2.11-8.mga2
+ Revision: 125788
- rebuild for new dfb

* Mon May 09 2011 ahmad <ahmad> 1.2.11-7.mga1
+ Revision: 96689
- Drop BR nas-devel (is nas sound still used?)
- Modify configure options; s/enable-music-libmikmod/enable-music-mod/, the former
  isn't recognised by the configure script

* Mon May 09 2011 misc <misc> 1.2.11-6.mga1
+ Revision: 96685
- remove uneeded requires on esound-devel, it compile fine without it

* Fri Apr 22 2011 boklm <boklm> 1.2.11-5.mga1
+ Revision: 89784
- increase release to make it higher than mdv2010.1

* Sat Jan 15 2011 supp <supp> 1.2.11-1.mga1
+ Revision: 19430
- remove unneeded smpeg BuildRequire
- add patch (from upstream) fixing some uninitialized values...
- imported package SDL_mixer

